Bug 17084 - BIND log archive not working
BIND log archive not working
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-29 14:02 EDT by trahman
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-29 14:02:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description trahman 2000-08-29 14:02:19 EDT
Using bind-8.2.2_P5 RPM from the RH6.2 install CD

According to the documentation, the logging "versions ?" option from the
named.conf file should allow for auto-archiving of the nameserver logs
kept.

However, I can't seem to get the logs to roll when I issue a restart of the
named daemon.

Here is the excerpt from my named.conf file:

"logging {
	channel butler_dns {
		file "dns.log" versions 5;
		print-time yes;
		print-category yes;
	};
	category default 	{ butler_dns; };
	category cname		{ butler_dns; };
	category config		{ butler_dns; };
	category db		{ butler_dns; };
	category eventlib	{ butler_dns; };
	category insist		{ butler_dns; };
	category lame-servers	{ butler_dns; };
	category load		{ butler_dns; };
	category maintenance	{ butler_dns; };
	category ncache		{ butler_dns; };
	category notify		{ butler_dns; };
	category os		{ butler_dns; };
	category packet		{ butler_dns; };
	category panic		{ butler_dns; };
	category parser		{ butler_dns; };
	category queries	{ butler_dns; };
	category response-checks	{ butler_dns; };
	category security	{ butler_dns; };
	category statistics	{ butler_dns; };
	category update		{ butler_dns; };
	category xfer-in	{ butler_dns; };
	category xfer-out	{ butler_dns; };
};"

The daemon is logging everything to the dns.log file.  I thought that when
the named daemon was restarted, that the existing dns.log file would be
renamed + a new one created.  However, when I restart the named daemon
(service named restart, or service named stop/start), the logging just
picks right up at the end of the existing dns.log file.  

/var/named is owned by root:named + the setGID bit is enabled:

"drwxrws---    2 root     named        4096 Aug 28 17:02 named"

Any ideas on getting the logfile to archive properly?

Thanks,

Tariq
Comment 1 Bernhard Rosenkraenzer 2000-08-30 06:50:33 EDT
The BIND changelog lists this as a feature...

762. [support] don't rotate log file versions on server startup

Try
http://www.isc.org/services/public/lists/bind-lists.html
for getting help setting up bind.

Note You need to log in before you can comment on or make changes to this bug.